Subject: Re: [PATCH/RFC] grep: add a grep.patternType configuration setting

From: Štěpán Němec <[email-masked]>
Date: Thu, 02 Aug 2012 00:19:15 +0200

On Wed, 01 Aug 2012 14:55:52 -0700
Junio C. Hamano wrote:

> J Smith <[email-masked]> writes:
>
>>  grep.extendedRegexp::
>> -	If set to true, enable '--extended-regexp' option by default.
>> +	If set to true, enable '--extended-regexp' option by default. This
>> +	option is ignored when the 'grep.patternType' option is set.
>
> We are not going to make grep.patternType a boolean, so "when ... is
> set" is fine, but if we were to allow grep.patternType to be set to
> "false", the description gives ambiguity to some readers who do.
> Perhaps s/is set/is given/ is safer.

I'm not a native speaker, but to me "is given" implies command line (the
meaning is clear here, it just sounds a bit weird). If it's not just me,
"is used" or "has a value" might be better.

-- 
Štěpán